gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.OutsetShadowNode

Contents

- Exported types
- Methods
  - getBlurRadius
  - getColor
  - getDx
  - getDy
  - getOutline
  - getSpread
  - new

Description

A render node for an outset shadow.

Synopsis

- newtype OutsetShadowNode = OutsetShadowNode (ManagedPtr OutsetShadowNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf OutsetShadowNode o) => IsOutsetShadowNode o
- toOutsetShadowNode :: (MonadIO m, IsOutsetShadowNode o) => o -> m OutsetShadowNode
- outsetShadowNodeGetBlurRadius :: (HasCallStack, MonadIO m, IsOutsetShadowNode a) => a -> m Float
- outsetShadowNodeGetColor :: (HasCallStack, MonadIO m, IsOutsetShadowNode a) => a -> m RGBA
- outsetShadowNodeGetDx :: (HasCallStack, MonadIO m, IsOutsetShadowNode a) => a -> m Float
- outsetShadowNodeGetDy :: (HasCallStack, MonadIO m, IsOutsetShadowNode a) => a -> m Float
- outsetShadowNodeGetOutline :: (HasCallStack, MonadIO m, IsOutsetShadowNode a) => a -> m RoundedRect
- outsetShadowNodeGetSpread :: (HasCallStack, MonadIO m, IsOutsetShadowNode a) => a -> m Float
- outsetShadowNodeNew :: (HasCallStack, MonadIO m) => RoundedRect -> RGBA -> Float -> Float -> Float -> Float -> m OutsetShadowNode

# Exported types

newtype OutsetShadowNode Source #

Memory-managed wrapper type.

Constructors

OutsetShadowNode (ManagedPtr OutsetShadowNode) |

#### Instances

Instances details

Eq OutsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode Methods (==) :: OutsetShadowNode -> OutsetShadowNode -> Bool Source # (/=) :: OutsetShadowNode -> OutsetShadowNode -> Bool Source #
BoxedPtr OutsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode Methods boxedPtrCopy :: OutsetShadowNode -> IO OutsetShadowNode Source # boxedPtrFree :: OutsetShadowNode -> IO () Source #
ManagedPtrNewtype OutsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode Methods toManagedPtr :: OutsetShadowNode -> ManagedPtr OutsetShadowNode Source #
TypedObject OutsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode Methods glibType :: IO GType Source #
HasParentTypes OutsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode
type ParentTypes OutsetShadowNode Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode type ParentTypes OutsetShadowNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf OutsetShadowNode o) => IsOutsetShadowNode o Source #

Type class for types which can be safely cast to `OutsetShadowNode`, for instance with `toOutsetShadowNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf OutsetShadowNode o) => IsOutsetShadowNode o Source # |
Instance details Defined in GI.Gsk.Objects.OutsetShadowNode

toOutsetShadowNode :: (MonadIO m, IsOutsetShadowNode o) => o -> m OutsetShadowNode Source #

Cast to `OutsetShadowNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBlurRadius, getBounds, getChildren, getColor, getDx, getDy, getNodeType, getOpaqueRect, getOutline, getSpread.

#### Setters

None.

## getBlurRadius

outsetShadowNodeGetBlurRadius Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an outset shadow
-> m Float | Returns: the blur radius, in pixels

Retrieves the blur radius of the shadow.

## getColor

outsetShadowNodeGetColor Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an outset shadow
-> m RGBA | Returns: a color

Retrieves the color of the outset shadow.

The value returned by this function will not be correct if the render node was created for a non-sRGB color.

## getDx

outsetShadowNodeGetDx Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an outset shadow
-> m Float | Returns: an offset, in pixels

Retrieves the horizontal offset of the outset shadow.

## getDy

outsetShadowNodeGetDy Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an outset shadow
-> m Float | Returns: an offset, in pixels

Retrieves the vertical offset of the outset shadow.

## getOutline

outsetShadowNodeGetOutline Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an outset shadow
-> m RoundedRect | Returns: a rounded rectangle

Retrieves the outline rectangle of the outset shadow.

## getSpread

outsetShadowNodeGetSpread Source #

Arguments

:: (HasCallStack, MonadIO m, IsOutsetShadowNode a) |
=> a | `node`: a `GskRenderNode` for an outset shadow
-> m Float | Returns: the size of the shadow, in pixels

Retrieves how much the shadow spreads outwards.

## new

outsetShadowNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> RoundedRect | `outline`: outline of the region surrounded by shadow
-> RGBA | `color`: color of the shadow
-> Float | `dx`: horizontal offset of shadow
-> Float | `dy`: vertical offset of shadow
-> Float | `spread`: how far the shadow spreads towards the inside
-> Float | `blurRadius`: how much blur to apply to the shadow
-> m OutsetShadowNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will render an outset shadow around the box given by `outline`.